- 1、本文档共11页,可阅读全部内容。
- 2、有哪些信誉好的足球投注网站(book118)网站文档一经付费(服务费),不意味着购买了该文档的版权,仅供个人/单位学习、研究之用,不得用于商业用途,未经授权,严禁复制、发行、汇编、翻译或者网络传播等,侵权必究。
- 3、本站所有内容均由合作方或网友上传,本站不对文档的完整性、权威性及其观点立场正确性做任何保证或承诺!文档内容仅供研究参考,付费前请自行鉴别。如您付费,意味着您自己接受本站规则且自行承担风险,本站不退款、不进行额外附加服务;查看《如何避免下载的几个坑》。如果您已付费下载过本站文档,您可以点击 这里二次下载。
- 4、如文档侵犯商业秘密、侵犯著作权、侵犯人身权等,请点击“版权申诉”(推荐),也可以打举报电话:400-050-0827(电话支持时间:9:00-18:30)。
查看更多
二位图坐标线自动生成程序使用指南
/*使用方法*/
Alt+F8弹出
点创建微程序目录
点击选择指定路径(在这里选择D盘作为路径)
点回到原始界面,
点击按钮 ,弹出下面界面,这时候必须选中CATScript
单击按钮回到macros原始界面
点击弹出
把以下程序断粘贴进去即可。
进入二维图界面后,做两点(将来形成的网格线就在这两个点范围内)
Alt+F8出现界面,点击后,分别选择两点后,网格将自动生成!!!!
Option Explicit
***********************************************************************
Purpose: This macro allows you to create Grid line in CATIA drawing
Author: chenqa
Languages: VBScript
Locales: English
Developing CATIA Level: V5R12
View mush parallel to system aixes,view angle 0deg,90deg and -90deg
***********************************************************************
Sub CATMain()
CATIA.RefreshDisplay = False
Dim sStatus As String
Set the CATIA popup file alerts to False
It prevents to stop the macro at each alert during its execution
CATIA.DisplayFileAlerts = False
Optional: allows to find the sample wherever its installed
Variables declaration
Dim oDrwDocument As DrawingDocument
Dim oDrwSheets As DrawingSheets
Dim oDrwSheet As DrawingSheet
Dim oDrwView As DrawingView
Dim oFactory2D AS Factory2D
The Distance between the lines
Dim D As Integer
Dim nx As Integer
Dim ny As Integer
The point coordinate select from Drawing
Dim X1 As Integer
Dim Y1 As Integer
Dim X2 As Integer
Dim Y2 As Integer
Dim Pt1 As Point2D
Dim Pt2 As Point2D
The view scale dAngle for rotate view scale for view scale
Dim dScale,dAngle As Double
The view coordinate origin
Dim X As Int
Dim Y As Int
Dim xSel As INFITF.Selection
D= InputBox(Please Input the Distance Value, input box, 100)
D= Cint (D)
Retrive a new drawing document
Set oDrwDocument = CATIA.ActiveDocument
Retrieve the drawing documents sheets collection
Set oDrwSheets = oDrwDocument.Sheets
Retrieve the active sheet
Set oDrwSheet = oDrwSheets.ActiveSheet
Retrieve the active view of the
文档评论(0)